	org 0x100

	jmp init

%defstr V VERSION
banner:	db "RDOS KERNEL ", V, 0x0A, 0x0D, '$', 0x1A

%include "kernel/far.asm"
%include "kernel/char.asm"
%include "inc/bpb.asm"
%include "kernel/drive.asm"
%include "kernel/fcb.asm"
%include "kernel/rootdir.asm"
%include "kernel/cluster.asm"

section .text

init:	call rstseg
	call dinit

	mov dx, banner
	call puts

	call rstseg
	mov dx, testdta
	push ds
	call norm
	call setdta
	pop ds

	mov dx, testfcb
	call norm

	call open

	call read

	mov ax, [cs:testdta]
	mov cx, [cs:testdta+2]
	int 3

hlt:	hlt
	jmp hlt

section .data

testfcb	db 0, "HELLO   ","COM"
	times FCBSIZ db 0

section .bss

testdta	resb 128
